#
# spec file for package gtk2-engines (Version 2.2.0)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  gnome-filesystem gtk2-devel-packages
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs atk atk-devel autoconf automake binutils cracklib expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gdbm gettext glib2 glib2-devel gnome-filesystem gtk2 gtk2-devel libtool pango pango-devel perl pkgconfig rpm update-desktop-files

Name:         gtk2-engines
Summary:      Engines for GTK2 Themes
Version:      2.2.0
Release:      399
License:      GPL
Group:        System/GUI/GNOME
Source:       gtk-engines-%{version}.tar.bz2	
%define       gtk_thinice_version 2.0.2
Source1:      gtk-thinice-engine-%{gtk_thinice_version}.tar.bz2
%define       gtk_xfce_version 2.1.1
Source2:      gtk-xfce-engine-%{gtk_xfce_version}.tar.bz2
%define       gtk_cleanice_version 1.1.5
Source3:      gtk-engines-cleanice2_%{gtk_cleanice_version}.orig.tar.bz2
Patch:        gtk2-engines-sanity-check.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
URL:          http://www.gnome.org
%define prefix  /opt/gnome

%description
This packages contains the theme-engine libraries for GTK2.



%prep
%setup -q -n gtk-engines-%{version} -b 1 -b 2 -b 3
%patch -p1 
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force
aclocal -I /opt/gnome/share/aclocal
autoconf

%build
CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=%{prefix}  \
	--libdir=%{prefix}/%_lib
make
cd ../gtk-thinice-engine-%{gtk_thinice_version}
./configure --prefix=%{prefix}  \
	--libdir=%{prefix}/%_lib
make
cd ../gtk-xfce-engine-%{gtk_xfce_version}
./configure --prefix=%{prefix}  \
	--libdir=%{prefix}/%_lib
make
cd ../gtk-engines-cleanice-%{gtk_cleanice_version}
./configure --prefix=%{prefix}  \
	--libdir=%{prefix}/%_lib
make
cd ..

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/gtk-thinice-engine
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/gtk-xfce-engine
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/gtk-engines-cleanice
cp -a AUTHORS COPYING ChangeLog NEWS README $RPM_BUILD_ROOT%{_defaultdocdir}
cd ../gtk-thinice-engine-%{gtk_thinice_version}
make DESTDIR=$RPM_BUILD_ROOT install
cp -a AUTHORS COPYING ChangeLog NEWS README TODO $RPM_BUILD_ROOT%{_defaultdocdir}/gtk-thinice-engine
cd ../gtk-xfce-engine-%{gtk_xfce_version}
make DESTDIR=$RPM_BUILD_ROOT install
cp -a AUTHORS COPYING ChangeLog NEWS README $RPM_BUILD_ROOT%{_defaultdocdir}/gtk-xfce-engine
cd ../gtk-engines-cleanice-%{gtk_cleanice_version}
make DESTDIR=$RPM_BUILD_ROOT install
cp -a AUTHORS COPYING ChangeLog NEWS README TODO $RPM_BUILD_ROOT%{_defaultdocdir}/gtk-engines-cleanice
cd ..

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc %{_defaultdocdir}/AUTHORS
%doc %{_defaultdocdir}/COPYING
%doc %{_defaultdocdir}/ChangeLog
%doc %{_defaultdocdir}/NEWS
%doc %{_defaultdocdir}/README
%doc %{_defaultdocdir}/gtk-thinice-engine
%doc %{_defaultdocdir}/gtk-xfce-engine
%doc %{_defaultdocdir}/gtk-engines-cleanice
%{prefix}/%_lib/gtk-2.0/*/engines/*
%{prefix}/share/themes/*
%{prefix}/%_lib/pkgconfig/*.pc

%changelog -n gtk2-engines
* Fri Apr 16 2004 - hhetter@suse.de
- added sanity check patch to prevent crashing in
  certain themes.
  (SuSE Bug Id#32861, GNOME Bugzilla Id#112066)
* Wed Jul 23 2003 - hhetter@suse.de
- really prefix to /opt/gnome
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jun 25 2003 - sbrabec@suse.cz
- Updated neededforbuild.
- Added xfce and cleanice engines.
* Wed Mar 12 2003 - sbrabec@suse.cz
- Fixed prefix clash (fixes bug 25170).
* Thu Feb 06 2003 - sbrabec@suse.cz
- Fixed %%files.
- Added gtk-thinice-engine-2.0.2 to package.
* Wed Jan 29 2003 - hhetter@suse.de
- up to version 2.2.0
* Wed Jan 15 2003 - ro@suse.de
- use wildcard in filelist for gtk2-version
* Fri Jun 21 2002 - hhetter@suse.de
- initial SuSE package
